from django import template
from datetime import date

register = template.Library()

@register.filter(name='Sum')
def sum(v):
  totale = v.mail_quota + v.http_quota + v.ftp_quota + v.sql_quota + v.nextcloud_quota
  return totale

@register.filter(name='SumQuota')
def sumQuota(v):
  totale = v.mail_quota + v.http_quota + v.ftp_quota + v.sql_quota + v.nextcloud_quota
  return totale

@register.filter(name='SumLast')
def sumLast(v):
  totale = v.last_mail_quota + v.last_http_quota + v.last_ftp_quota + v.last_sql_quota + v.last_nextcloud_quota
  return totale

@register.filter(name='DiffQuota')
def diffQuota(v):
  totale_attuale = v.mail_quota + v.http_quota + v.ftp_quota + v.sql_quota + v.nextcloud_quota
  totale_precedente = v.last_mail_quota + v.last_http_quota + v.last_ftp_quota + v.last_sql_quota + v.last_nextcloud_quota
  return totale_attuale - totale_precedente

@register.filter(name='DiffPercento')
def diffPercento(v):
  totale_attuale =    v.mail_quota      + v.http_quota      + v.ftp_quota      + v.sql_quota      + v.nextcloud_quota
  totale_precedente = v.last_mail_quota + v.last_http_quota + v.last_ftp_quota + v.last_sql_quota + v.last_nextcloud_quota
  print('totali',totale_attuale,totale_precedente)
  temp=0

  try:
    temp = ((totale_attuale * 100) / totale_precedente)
  except ZeroDivisionError as zde:
    print('Zde Errore di calcolo',zde)

  print('Calcolo Percentuale',temp)
  if temp != 0:
    return round(temp - 100,2)
  else:
    return round(temp,2)
  return round(0.00,2)

@register.filter(name='QuotaAlert')
def quotaalert(v):
  totale = v.mail_quota + v.http_quota + v.ftp_quota + v.sql_quota + v.nextcloud_quota

  if totale > v.target.spazio:
    return totale - v.target.spazio
  return 0

@register.filter(name='GGscadenza')
def giorniscadenza(data):
  return (data - date.today()).days

@register.filter(name='Giga')
def conversioneGiga(v):
  return "{:.2f}G".format(v/1000)
